(function(){
    mui.plusReady(function(){
        mui.init();
        var self = plus.webview.currentWebview();
        var vid = self.vid;
        console.log('vid=' + vid);
        
        var v = plus.webview.getWebviewById(vid);
        console.log('已经创建了隐形子webview');
        
        var page_total = $('.page_total b').html() || $('.goods-list .goods-item').length;//总条数
        var pages = parseInt(page_total / 100) + 1;//总页数
        
        //循环获取值
        var reg = /[^0-9.]/ig;
        var pageList = [];
        $('.goods-list .goods-item').each(function(){
        	var t = {};
        	t.title = $(this).find('.goods-tit a').text();//标题
        	t.auctionId = $(this).attr('data_goodsid');//淘宝商品ID
        	t.dtkId = $(this).find('.fl.quan_add_u.go_info').attr('data-gid');//大淘客商品ID
        	t.auctionUrl = 'http://item.taobao.com/item.htm?id=' + t.auctionId;//淘宝链接
        	t.pictUrl = $(this).find('.goods-img .lazy').attr('data-original'); //淘宝图片
        	var priceAfterCouponB = $(this).find('.goods-price p b');//券后价
        	priceAfterCouponB.find('i').remove();
        	t.priceAfterCoupons = parseFloat(priceAfterCouponB.text());
        	var couponAmountB = $(this).find('.goods-quan p b');//优惠券价格
        	couponAmountB.find('i').remove();
        	t.couponAmount = parseFloat(couponAmountB.text());
        	t.zkPrice = accAdd(t.couponAmount, t.priceAfterCoupons);//原价
        	
        	var tkRateP = $(this).find('.goods-yj p');
        	tkRateP.find('b').remove();
        	t.tkRate = parseFloat(tkRateP.text());//佣金比例
        	
        	var marginNum = parseInt($(this).find('.margin-num').html());
        	t.couponTotalCount = marginNum;//优惠券总数
        	
        	var goodsSale = $(this).find('.goods-sale b').html();
        	t.biz30day = goodsSale;//月销量
        	
        	t.isTmall = $(this).find('i.tag-tmall').length > 0;//是否是天猫
        	pageList.push(t);//加入到数组
        });
        
        
        //回传数据
        var data = {
        	data:{
        		paginator : {
	        		pages: pages
	        	},
	        	pageList: pageList
        	}
        	
        }
        console.log(JSON.stringify(data));
        
        //回传数据
        mui.fire(v,'setGoods',{
        	data: data
        })
        //回传数据后注销
        self.close('none');
        console.log('注销隐形子webview')
    });
})();