var api = 'http://127.0.0.1:8080/rebate/api/';//api地址
function getToken(){
	return window.localStorage.getItem('token');
}
function setToken(t){
	window.localStorage.setItem('token',t);
}
function clearToken(){
	window.localStorage.removeItem('token');
}
var extendData = {
	token:getToken()
}
function openWindowWithTitle(url,id,title,autoshow){
	mui.openWindow({
	  url: url,
	  id: id,
	  styles: {                             // 窗口参数 参考5+规范中的WebviewStyle,也就是说WebviewStyle下的参数都可以在此设置
	    titleNView: {    // 窗口的标题栏控件
    	  autoBackButton:true,
	      titleText:title,                // 标题栏文字,当不设置此属性时，默认加载当前页面的标题，并自动更新页面的标题
	      titleColor:"#000000",             // 字体颜色,颜色值格式为"#RRGGBB",默认值为"#000000"
	      titleSize:"17px",                 // 字体大小,默认17px
	      backgroundColor:"#F7F7F7",        // 控件背景颜色,颜色值格式为"#RRGGBB",默认值为"#F7F7F7"
	      splitLine:{                       // 标题栏控件的底部分割线，类似borderBottom
	        color:"#CCCCCC",                // 分割线颜色,默认值为"#CCCCCC"  
	        height:"1px"                    // 分割线高度,默认值为"2px"
	      }
	    }
	  },waiting:{
			autoShow:autoshow || false
		}
	});
}

//同步方法
function _sync(url,data,succ,fail){
	setTimeout(function(){
		succ();
	},2000);
}

//异步方法
function _async(url,data,succ,fail){
	if(succ == undefined){
		succ = function(data){};
	}
	if(fail == undefined){
		fail = function(message){
			mui.toast(message);
		};
	}
	if(data == undefined){
		data = {};
	}
	mui.extend(data, extendData);
	mui.ajax(api + url,{
		async:false,
		dataType:'json',//服务器返回json格式数据
		data:data,
		type:'post',//HTTP请求类型
		headers:{'Content-Type':'application/json'},
		success:function(data){
			if(data.status){
				succ(data.data);
			}else{
				fail(data.message);
			}
		}
	});
}

