var api = 'http://www.51jxapp.com/rebate/api/';//api地址
//var api = 'http://192.168.1.3:8080/rebate/api/';//api地址

//大淘客 名称和id映射

function getToken(){
	var t = window.localStorage.getItem('token');
	return t;
}
function setToken(t){
	window.localStorage.setItem('token',t);
}
function getDisplayType(){
	var t = window.localStorage.getItem('displayType');
	if(t == null){
		t = 1;//默认排序
	}
	return t;
}
function setRate(rate){
	window.localStorage.setItem('rate',rate);
}
function getRate(){
	var t = window.localStorage.getItem('rate');
	if(t == null){
		return 0;
	}
	return t;
}
function switchDisplayType(){
	var t = window.localStorage.getItem('displayType');
	t = t == 1 ? 2 : 1;
	window.localStorage.setItem('displayType',t);
	return t;
}
function clearToken(){
	window.localStorage.removeItem('token');
}
var extendData = {
	token:getToken()
}

//点击商品
function tapItem(f){
	f = f || 0;
	var url = f === 0 ? 'detail.html' : 'html/detail.html';
	mui('body').on('tap','.item',function(){
		var t = $(this);
		var str = t.attr('data-json-str');
		str = decodeURI(str);
		console.log('商品数据：' + str);
		var params = JSON.parse(str);
		params.dtkId = params.dtkId || '';//初始化大淘客ID
		var nwaiting = plus.nativeUI.showWaiting(); 
		plus.webview.create(url,'detail',{},{params:params});
//		openWebview({
//			url:url,
//			id:'detail',
//			extras:{
//				params:params
//			}
//		});
	});
}

//打开Webview，如果存在则使用之前的，如果不存在则创建
function openWebview(options){
	var id = options.id;
	var webview = plus.webview.getWebviewById(id);
	options.styles = options.styles || {};
	options.styles.hardwareAccelerated = true;
	var extras = options.extras || {};
	if(null != webview){
		mui.fire(webview,'setExtras',extras);//传递参数
		webview.show();
	}else{
		mui.openWindow(options);
	}
}



function openWindowWithTitle(url,id,title,autoshow,extras){
	mui.openWindow({
	  url: url,
	  id: id,
	  styles: {
	  	hardwareAccelerated:true,
	  	// 窗口参数 参考5+规范中的WebviewStyle,也就是说WebviewStyle下的参数都可以在此设置
	    titleNView: {    // 窗口的标题栏控件
    	  autoBackButton:true,
	      titleText:title,                // 标题栏文字,当不设置此属性时，默认加载当前页面的标题，并自动更新页面的标题
	      titleColor:"#000000",             // 字体颜色,颜色值格式为"#RRGGBB",默认值为"#000000"
	      titleSize:"17px",                 // 字体大小,默认17px
	      backgroundColor:"#F7F7F7",        // 控件背景颜色,颜色值格式为"#RRGGBB",默认值为"#F7F7F7"
	      splitLine:{                       // 标题栏控件的底部分割线，类似borderBottom
	        color:"#CCCCCC",                // 分割线颜色,默认值为"#CCCCCC"  
	        height:"0px"                    // 分割线高度,默认值为"2px"
	      }
	    }
	  },waiting:{
			autoShow:autoshow || false
		},extras:extras || {}
	});
}

//同步方法
function _sync(url,data,succ,fail){
	if(succ == undefined){
		succ = function(data){};
	}
	if(fail == undefined){
		fail = function(message){
			mui.toast(message);
		};
	}
	if(data == undefined){
		data = {}
	}
	mui.extend(data, {
		token:getToken()
	});
	console.log('data=' + JSON.stringify(data))
	var u = api + url;
	console.log(u);
	mui.ajax(u,{
		async:false,
		dataType:'json',//服务器返回json格式数据
		type:'post',//HTTP请求类型
		data:data,
		headers:{'Content-Type':'application/json'},
		success:function(data){
			if(data.status){
				succ(data.data);
			}else{
				fail(data.message);
			}
		}
	});
}

function _9k9(data,succ){
	//data{catIds：xxx, toPage :xxx}
	var extData = {
		channel:'9k9',
		dpyhq:1,
		level:1,
		perPageSize:50,
		shopTag:'dpyhq',
		sortType:9//销量排序
	}
	mui.extend(data, extData);
	mui.ajax({
		url:'http://pub.alimama.com/items/channel/9k9.json',
		async:true,
		dataType:'json',//服务器返回json格式数据
		data:data,
		crossDomain:true,
		type:'get',//HTTP请求类型
		success:function(d){
			console.log(JSON.stringify(d))
			//console.log(JSON.stringify(d));
			//转换值
			var pages = d.data.paginator.pages;//总页数
			var pageList = [];
			$.each(d.data.pageList,function(i,v){
				var t = {};
				t.title = v.title;
				t.auctionId = v.auctionId;
				t.dtkId = '';
				t.auctionUrl = v.auctionUrl;
				t.pictUrl = v.pictUrl;
				t.zkPrice = v.zkPrice.toFixed(2);
				t.couponAmount = v.couponAmount;
				t.priceAfterCoupons = parseFloat(accSub(t.zkPrice, t.couponAmount)).toFixed(2) ;
				t.tkRate = v.tkRate;
				t.couponTotalCount = v.couponTotalCount;
				t.biz30day = v.biz30day;
				t.isTmall = v.userType == 1;
				t.fl = yongjin(t.priceAfterCoupons, t.tkRate);
				
				pageList.push(t);
			});
			
			//回传数据
			var data = {
				data:{
					paginator : {
						pages: pages
					},
					pageList: pageList
				}
				
			}
			succ(data);
		},
		
		timeout:10000,
		error:function(xhr,type,errorThrown){
			mui.toast('错误描述：' + type + '，异常对象+' + errorThrown) ;
			showAndCloseWaiting();
		}
	});
}

//搜索
function _search(data,succ){
	var extData = {
		dpyhq:1,
		perPageSize:30,
		shopTag:'dpyhq'
	}
	mui.extend(data, extData);
	
	var paramsArr = new Array();
	for(var key in data){
		paramsArr.push(key + '=' + data[key]) ;
	}
	var params = paramsArr.join('&');
	console.log(params);
	var url = 'http://pub.alimama.com/items/search.json?' + params;
	var beginTime = new Date().getTime();
	var xhr = new plus.net.XMLHttpRequest();
	
	xhr.onreadystatechange = function () {
		switch ( xhr.readyState ) {
			case 0:
				console.log( "淘宝联盟搜索-已初始化" );
			break;
			case 1:
				console.log( "淘宝联盟搜索-请求已打开" );
			break;
			case 2:
				console.log( "淘宝联盟搜索-请求已发送" );
			break;
			case 3:
				console.log( "淘宝联盟搜索-已响应");
				break;
			case 4:
				if ( xhr.status == 200 ) {
					var h = xhr.response;
					console.log( h);
					console.log( h.data.paginator.pages);
					
			        var endTime = new Date().getTime();
					console.log('加载淘宝联盟搜索使用' + (endTime - beginTime) + 'ms');
			        succ(h);
				} else {
					console.log( "淘宝联盟搜索-请求失败："+xhr.status );
					
				}
				break;
			default :
				break;
		}
	}
	url = encodeURI(url); 
	console.log(url);
	xhr.open("get",url);
	xhr.setRequestHeader( "User-Agent",plus.navigator.getUserAgent() ) ;
	xhr.setRequestHeader( "Accept","text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8") ;
	xhr.setRequestHeader( "Accept-Language","zh-CN,zh;q=0.9,en;q=0.8") ;
	xhr.setRequestHeader( "Referer",url) ;
	xhr.responseType = 'json';
	xhr.send();
//	mui.ajax({
//		url:'http://pub.alimama.com/items/search.json',
//		async:true,
//		dataType:'json',//服务器返回json格式数据
//		data:data,
//		crossDomain:true,
//		type:'get',//HTTP请求类型
//		success:function(data){
//			console.log(JSON.stringify(data));
//			succ(data);
//		},
//		timeout:10000,
//		error:function(xhr,type,errorThrown){
//			mui.toast('错误描述：' + type + '，异常对象+' + errorThrown) ;
//			showAndCloseWaiting();
//		}
//	});
}
function openTaobao(action,url){
	var isAndroid = mui.os.android;
	var isIos = mui.os.ios;
	if(isAndroid){
		plus.runtime.openURL(action,function(e){
			//mui.toast('您的手机还未安装手机淘宝');
			plus.runtime.openURL(url);
		});
	}else if(isIos){
		console.log('唤起淘宝')
		plus.runtime.launchApplication({
			action:action
		},function(e){
			console.log('唤起淘宝失败，打开浏览器')
			plus.runtime.openURL(url);
		});
	}
}

function launchApp(dtkId,tid){
//	var view = new plus.nativeObj.View('qiu', {
//		backgroundColor: '#FF0000',
//		bottom:'10%',
//		height:'10%',
//		width:'10%'
//	}, [{
//		id:'text',
//		tag:'img',
//		src:'_www/img/60x60.gif'
//	}]);
//	view.show();
	//var eurl = encodeURI(url);
	var osName = plus.os.name;
	plus.nativeUI.showWaiting('正在获取优惠券...');
	if('' != dtkId){//表明查找的是大淘客
		_async('couponByDataoke',{
			id:dtkId
		},function(data){
			var url = data;
			if('' == url){
				plus.nativeUI.closeWaiting();
				mui.toast('获取优惠券失败！');
				return;
			}
			console.log('url=' + url)
			var mobile = data.mobile;
			var i = url.indexOf('//');
			var eurl = 'taobao://' + url.substring(i + 2);
			console.log('eurl=' + eurl)
			plus.nativeUI.closeWaiting();
			openTaobao(eurl,url);
		},function(){
			plus.nativeUI.closeWaiting();
			mui.toast('获取优惠券失败！');
		});
	}else{
		_async('coupon',{
			id:tid
		},function(data){
			var url = data;
			console.log('url=' + url)
			var mobile = data.mobile;
			var i = url.indexOf('//');
			var eurl = 'taobao://' + url.substring(i + 2);
			console.log('eurl=' + eurl)
			plus.nativeUI.closeWaiting();
			openTaobao(eurl,url);
		},function(){
			plus.nativeUI.closeWaiting();
			mui.toast('获取优惠券失败！');
		});
	}
	
//	if('Android' == osName){//安卓系统
////		plus.runtime.launchApplication({
////			pname:'com.taobao.taobao',
////			extra:{
////				url:url
////			}
////		},function(e){
////			mui.toast(e.message);
////		});
//		plus.runtime.openURL('taobao://' + eurl,function(e){
//			mui.toast(e.message);
//		});
//	}else if('iOS' == osName){
//		plus.runtime.openURL('taobao://' + eurl,function(e){
//			mui.toast(e.message);
//		});
//	}
//	plus.runtime.openURL('taobao://' + eurl,function(e){
//			mui.toast(e.message);
//	});
}
//异步方法
function _async(url,data,succ,fail){
	if(succ == undefined){
		succ = function(data){};
	}
	if(fail == undefined){
		fail = function(message){
			console.log(message);
			mui.toast(message);
		};
	}
	if(data == undefined){
		data = {};
	}
	mui.extend(data, {
		token:getToken()
	});
	var u = api + url;
	console.log(u);
	

	mui.ajax({
		url:u,
		async:true,
		dataType:'json',//服务器返回json格式数据
		data:data,
		crossDomain:true,
		type:'post',//HTTP请求类型
		success:function(data){
			
			if(data.status){
				succ(data.data);
			}else{
				fail(data.message);
			}
		},error:function(){
			console.log('请求失败')
		}
	});
}

/**
 * 大淘客分类
 * self: 当前webview，
 */
function _dtk_classify(cid,px,page){
	var url = 'http://www.dataoke.com/qlist/?cid=' + cid + '&px=' + px + '&page=' + page;
//	var dtkWebview = plus.webview.create(url,'_dtk_classify',{},{
//		vid:'index_classify_sub'
//	});
//	dtkWebview.appendJsFile('_www/js/mui.min.js');
//	dtkWebview.appendJsFile('_www/js/jquery-3.3.1.min.js');
//	dtkWebview.appendJsFile('_www/js/global.js');
//	dtkWebview.appendJsFile('_www/js/_dtk_data.js');
//	dtkWebview.hide();
//	var self = plus.webview.currentWebview();
//	self.opener().append(dtkWebview);//注意使用创建者，因为子webview不能再创建子webview
	
}

/**
 * 大淘客搜索
 * self: 当前webview，
 */
function _dtk_search(search,px,page){
	var url = 'http://www.dataoke.com/search/?keywords='+ search +'&xuan=keyword&px='+ px +'&cid=0&px=' + px + '&page=' + page;
	var dtkWebview = plus.webview.create(url,'_dtk_search',{},{
		vid:'search_have'
	});
	dtkWebview.appendJsFile('_www/js/mui.min.js');
	dtkWebview.appendJsFile('_www/js/jquery-3.3.1.min.js');
	dtkWebview.appendJsFile('_www/js/global.js');
	dtkWebview.appendJsFile('_www/js/_dtk_data.js');
	dtkWebview.hide();
	var self = plus.webview.currentWebview();
	self.opener().append(dtkWebview);//注意使用创建者，因为子webview不能再创建子webview
}


/** 
 ** 除法函数，用来得到精确的除法结果
 ** 说明：javascript的除法结果会有误差，在两个浮点数相除的时候会比较明显。这个函数返回较为精确的除法结果。
 ** 调用：accDiv(arg1,arg2)
 ** 返回值：arg1除以arg2的精确结果
 **/
function accDiv(arg1, arg2) {
    var t1 = 0, t2 = 0, r1, r2;
    try {
        t1 = arg1.toString().split(".")[1].length;
    }
    catch (e) {
    }
    try {
        t2 = arg2.toString().split(".")[1].length;
    }
    catch (e) {
    }
    with (Math) {
        r1 = Number(arg1.toString().replace(".", ""));
        r2 = Number(arg2.toString().replace(".", ""));
        return (r1 / r2) * pow(10, t2 - t1);
    }
}


/**
 ** 乘法函数，用来得到精确的乘法结果
 ** 说明：javascript的乘法结果会有误差，在两个浮点数相乘的时候会比较明显。这个函数返回较为精确的乘法结果。
 ** 调用：accMul(arg1,arg2)
 ** 返回值：arg1乘以 arg2的精确结果
 **/
function accMul(arg1, arg2) {
    var m = 0, s1 = arg1.toString(), s2 = arg2.toString();
    try {
        m += s1.split(".")[1].length;
    }
    catch (e) {
    }
    try {
        m += s2.split(".")[1].length;
    }
    catch (e) {
    }
    return Number(s1.replace(".", "")) * Number(s2.replace(".", "")) / Math.pow(10, m);
}


/**
 ** 减法函数，用来得到精确的减法结果
 ** 说明：javascript的减法结果会有误差，在两个浮点数相减的时候会比较明显。这个函数返回较为精确的减法结果。
 ** 调用：accSub(arg1,arg2)
 ** 返回值：arg1加上arg2的精确结果
 **/
function accSub(arg1, arg2) {
    var r1, r2, m, n;
    try {
        r1 = arg1.toString().split(".")[1].length;
    }
    catch (e) {
        r1 = 0;
    }
    try {
        r2 = arg2.toString().split(".")[1].length;
    }
    catch (e) {
        r2 = 0;
    }
    m = Math.pow(10, Math.max(r1, r2)); //last modify by deeka //动态控制精度长度
    n = (r1 >= r2) ? r1 : r2;
    return ((arg1 * m - arg2 * m) / m).toFixed(n);
}


/**
 ** 加法函数，用来得到精确的加法结果
 ** 说明：javascript的加法结果会有误差，在两个浮点数相加的时候会比较明显。这个函数返回较为精确的加法结果。
 ** 调用：accAdd(arg1,arg2)
 ** 返回值：arg1加上arg2的精确结果
 **/
function accAdd(arg1, arg2) {
    var r1, r2, m, c;
    try {
        r1 = arg1.toString().split(".")[1].length;
    }
    catch (e) {
        r1 = 0;
    }
    try {
        r2 = arg2.toString().split(".")[1].length;
    }
    catch (e) {
        r2 = 0;
    }
    c = Math.abs(r1 - r2);
    m = Math.pow(10, Math.max(r1, r2));
    if (c > 0) {
        var cm = Math.pow(10, c);
        if (r1 > r2) {
            arg1 = Number(arg1.toString().replace(".", ""));
            arg2 = Number(arg2.toString().replace(".", "")) * cm;
        } else {
            arg1 = Number(arg1.toString().replace(".", "")) * cm;
            arg2 = Number(arg2.toString().replace(".", ""));
        }
    } else {
        arg1 = Number(arg1.toString().replace(".", ""));
        arg2 = Number(arg2.toString().replace(".", ""));
    }
    return (arg1 + arg2) / m;
}

function imgHttp(img){
	var isAndroid = mui.os.android;
	var isIos = mui.os.ios;
	var realImg = '';
	if(img.indexOf('//') == 0){
		realImg = 'http:' + img;
	}else{
		realImg = img;
	}
	if(img.indexOf('_220x220.jpg') != -1 
		||img.indexOf('_230x230.jpg') != -1 
		|| img.indexOf('_250x250.jpg') != -1 
		|| img.indexOf('_310x310.jpg') != -1 
		|| img.indexOf('_400x400.jpg') != -1 
		|| img.indexOf('.webp') != -1){
		
	}else{
		if(isAndroid){
			realImg += '_220x220_.webp';
		}else if(img.indexOf('img.alicdn.com/bao')){
			realImg += '_220x220.jpg';
		}
	}
	//console.log('realImg=' + realImg);
	//realImg += '?t=' + Math.random();
	return realImg;
}
function imgHttp400(img){
	var isAndroid = mui.os.android;
	var isIos = mui.os.ios;
	var realImg = '';
	if(img.indexOf('//') == 0){
		realImg = 'http:' + img;
	}else{
		realImg = img;
	}
	if(img.indexOf('_220x220.jpg') != -1 
		||img.indexOf('_230x230.jpg') != -1 
		|| img.indexOf('_250x250.jpg') != -1 
		|| img.indexOf('_310x310.jpg') != -1 
		|| img.indexOf('_400x400.jpg') != -1 
		|| img.indexOf('.webp') != -1){
		
	}else{
		if(isAndroid){
			realImg += '_400x400_.webp';
		}else if(img.indexOf('img.alicdn.com/bao')){
			realImg += '_400x400.jpg';
		}
	}
	//console.log('realImg=' + realImg);
	//realImg += '?t=' + Math.random();
	return realImg;
}
function yongjin(priceAfterCoupons,rate){
	return accMul(accMul(priceAfterCoupons,rate),getRate() / 100).toFixed(2);
}

//手机号码加密
function mobileJiami(mobile){
	mobile = mobile.replace(/(\d{3})\d{4}(\d{4})/, '$1****$2');
	return mobile;
}
function timestampToTime(timestamp) {
    var date = new Date(timestamp );//时间戳为10位需*1000，时间戳为13位的话不需乘1000
    Y = date.getFullYear() + '-';
    M = (date.getMonth()+1 < 10 ? '0'+(date.getMonth()+1) : date.getMonth()+1) + '-';
    D = (date.getDate() < 10 ? '0' + date.getDate() : date.getDate() ) + ' ';
    h = (date.getHours() < 10 ? '0' + date.getHours() : date.getHours() ) + ':';
    m = (date.getMinutes() < 10 ? '0' + date.getMinutes() : date.getMinutes() ) + ':';
    s = (date.getSeconds() < 10 ? '0' + date.getSeconds() : date.getSeconds() );
    return Y+M+D+h+m+s;
}

function loadDtk_plus(url,func){
	var beginTime = new Date().getTime();
	var xhr = new plus.net.XMLHttpRequest();
	
	xhr.onreadystatechange = function () {
		switch ( xhr.readyState ) {
			case 0:
				console.log( "大淘客搜索-已初始化" );
			break;
			case 1:
				console.log( "大淘客搜索-请求已打开" );
			break;
			case 2:
				console.log( "大淘客搜索-请求已发送" );
			break;
			case 3:
				console.log( "大淘客搜索-已响应");
				break;
			case 4:
				if ( xhr.status == 200 ) {
					var h = xhr.responseText;
					var el = $('<div></div>');
					el.html(h);
					var page_total = $('.page_total b', el).html() || $('.goods-list .goods-item', el).length;//总条数
					var pages = 0;
					if(0 == page_total){
						pages = 0;
					}else if(page_total % 100 == 0){
						pages = parseInt(page_total / 100);
					}else{
						pages = (parseInt(page_total / 100) + 1);
					}
		       		console.log('pages=' + pages)
		       		//循环获取值
			        var reg = /[^0-9.]/ig;
			        var pageList = [];
			        $('.goods-list .goods-item', el).each(function(){
			        	var t = {};
			        	t.title = $(this).find('.goods-tit a').text();//标题
			        	t.auctionId = $(this).attr('data_goodsid');//淘宝商品ID
			        	t.dtkId = $(this).find('.fl.quan_add_u.go_info').attr('data-gid');//大淘客商品ID
			        	t.auctionUrl = 'http://item.taobao.com/item.htm?id=' + t.auctionId;//淘宝链接
			        	t.pictUrl = $(this).find('.goods-img .lazy').attr('data-original'); //淘宝图片
			        	var priceAfterCouponB = $(this).find('.goods-price p b');//券后价
			        	priceAfterCouponB.find('i').remove();
			        	t.priceAfterCoupons = parseFloat(priceAfterCouponB.text()).toFixed(2);
			        	var couponAmountB = $(this).find('.goods-quan p b');//优惠券价格
			        	couponAmountB.find('i').remove();
			        	t.couponAmount = parseFloat(couponAmountB.text());
			        	t.zkPrice = accAdd(t.couponAmount, t.priceAfterCoupons).toFixed(2);//原价
			        	
			        	var tkRateP = $(this).find('.goods-yj p');
			        	tkRateP.find('b').remove();
			        	t.tkRate = parseFloat(tkRateP.text());//佣金比例
			        	
			        	var marginNum = parseInt($(this).find('.margin-num').html());
			        	t.couponTotalCount = marginNum;//优惠券总数
			        	
			        	var goodsSale = $(this).find('.goods-sale span.fl b').html();
			        	if(undefined == goodsSale){
			        		goodsSale = $(this).find('.goods-sale span b').html()
			        	}
			        	t.biz30day = goodsSale;//月销量
			        	
			        	t.isTmall = $(this).find('i.tag-tmall').length > 0;//是否是天猫
			        	
			        	t.fl = yongjin(t.priceAfterCoupons, t.tkRate);//返利金额
			        	
			        	pageList.push(t);//加入到数组
			        });
			        
			        //回传数据
			        var data = {
			        	data:{
			        		paginator : {
				        		pages: pages
				        	},
				        	pageList: pageList
			        	}
			        	
			        }
			        var endTime = new Date().getTime();
					console.log('加载数据使用' + (endTime - beginTime) + 'ms');
			        func(data);
				} else {
					console.log( "加载大淘客搜索-请求失败："+xhr.status );
					
				}
				break;
			default :
				break;
		}
	}
	url = encodeURI(url); 
	console.log(url);
	xhr.open("get",url);
	xhr.setRequestHeader( "Host","www.dataoke.com" ) ;
	xhr.setRequestHeader( "Connection","keep-alive" ) ;
	xhr.setRequestHeader( "Cache-Control","max-age=0" ) ;
	xhr.setRequestHeader( "Upgrade-Insecure-Requests","1" ) ;
	xhr.setRequestHeader( "User-Agent",plus.navigator.getUserAgent() ) ;
	xhr.setRequestHeader( "Accept","text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8") ;
	xhr.setRequestHeader( "Accept-Language","zh-CN,zh;q=0.9,en;q=0.8") ;
	xhr.setRequestHeader( "Referer",url) ;
	xhr.send();
}

//加载大淘客数据,url表示要加载的大淘客的链接，opt表示额外参数,包括level:0 1

function loadDtk(url,func){
	loadDtk_plus(url,func);
//	var beginTime = new Date().getTime();
//	var headers = {};
//	url = encodeURI(url); 
//	console.log(url);
//	var search = url.indexOf('http://www.dataoke.com/search') == 0;
//	if(search){
//		var userAgent = plus.navigator.getUserAgent();
//		console.log(userAgent);
//		headers = {
//			"Host": "www.dataoke.com",
//			"Connection": "keep-alive",
//			"Cache-Control": "max-age=0",
//			"Upgrade-Insecure-Requests": "1",
//			"User-Agent": userAgent,
//			"Accept": "text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8",
//			"Referer": url,
//			//"Accept-Encoding": "gzip, deflate",
//			"Accept-Language": "zh-CN,zh;q=0.9,en;q=0.8"
//		}
//	}
//	//console.log(timestampToTime(timestamp))
//	mui.ajax(url,{
//		async:true,
//		crossDomain:true,
//		data:{},
//		headers:headers,
//		dataType:'html',
//		success:function(h){
//			var el = $('<div></div>');
//			el.html(h);
//			var page_total = $('.page_total b', el).html() || $('.goods-list .goods-item', el).length;//总条数
//			var pages = 0;
//			if(0 == page_total){
//				pages = 0;
//			}else if(page_total % 100 == 0){
//				pages = parseInt(page_total / 100);
//			}else{
//				pages = (parseInt(page_total / 100) + 1);
//			}
//     		console.log('pages=' + pages)
//     		//循环获取值
//	        var reg = /[^0-9.]/ig;
//	        var pageList = [];
//	        $('.goods-list .goods-item', el).each(function(){
//	        	var t = {};
//	        	t.title = $(this).find('.goods-tit a').text();//标题
//	        	t.auctionId = $(this).attr('data_goodsid');//淘宝商品ID
//	        	t.dtkId = $(this).find('.fl.quan_add_u.go_info').attr('data-gid');//大淘客商品ID
//	        	t.auctionUrl = 'http://item.taobao.com/item.htm?id=' + t.auctionId;//淘宝链接
//	        	t.pictUrl = $(this).find('.goods-img .lazy').attr('data-original'); //淘宝图片
//	        	var priceAfterCouponB = $(this).find('.goods-price p b');//券后价
//	        	priceAfterCouponB.find('i').remove();
//	        	t.priceAfterCoupons = parseFloat(priceAfterCouponB.text()).toFixed(2);
//	        	var couponAmountB = $(this).find('.goods-quan p b');//优惠券价格
//	        	couponAmountB.find('i').remove();
//	        	t.couponAmount = parseFloat(couponAmountB.text());
//	        	t.zkPrice = accAdd(t.couponAmount, t.priceAfterCoupons).toFixed(2);//原价
//	        	
//	        	var tkRateP = $(this).find('.goods-yj p');
//	        	tkRateP.find('b').remove();
//	        	t.tkRate = parseFloat(tkRateP.text());//佣金比例
//	        	
//	        	var marginNum = parseInt($(this).find('.margin-num').html());
//	        	t.couponTotalCount = marginNum;//优惠券总数
//	        	
//	        	var goodsSale = $(this).find('.goods-sale span.fl b').html();
//	        	if(undefined == goodsSale){
//	        		goodsSale = $(this).find('.goods-sale span b').html()
//	        	}
//	        	t.biz30day = goodsSale;//月销量
//	        	
//	        	t.isTmall = $(this).find('i.tag-tmall').length > 0;//是否是天猫
//	        	
//	        	t.fl = yongjin(t.priceAfterCoupons, t.tkRate);//返利金额
//	        	
//	        	pageList.push(t);//加入到数组
//	        });
//	        
//	        //回传数据
//	        var data = {
//	        	data:{
//	        		paginator : {
//		        		pages: pages
//		        	},
//		        	pageList: pageList
//	        	}
//	        	
//	        }
//	        var endTime = new Date().getTime();
//			console.log('加载数据使用' + (endTime - beginTime) + 'ms');
//	        func(data);
//		},
//		timeout:10000,
//		error:function(xhr,type,errorThrown){
//			mui.toast('错误描述：' + type + '，异常对象+' + errorThrown) ;
//			showAndCloseWaiting();
//		}
//	});
}


function setScrollsToTop(){
	if(mui.os.ios){
		var self = plus.webview.currentWebview();
		var all = plus.webview.all();
		for(var i =0 ; i < all.length; i ++){
			all[i].setStyle({'scrollsToTop':false});
		}
		
		self.setStyle({'scrollsToTop':true});
	}
	
}


function listenerHeader(){
	var scrollToTopBox = document.createElement('a');
	scrollToTopBox.setAttribute('id','scrollToTop');
	scrollToTopBox.setAttribute("class","backTop hide");
	var span = document.createElement('span');
	span.setAttribute("class","mui-icon mui-icon-arrowup");
	scrollToTopBox.appendChild(span);
	document.getElementsByTagName('body')[0].appendChild(scrollToTopBox);
	
	//返回按钮tap
	scrollToTopBox.addEventListener('tap', function(e) {
	    e.stopPropagation();
	    mui('#pullrefresh').pullRefresh().scrollTo(0, 0, 100);//滚动到顶部
	});
	//Android上监听原生滚动，iOS上监听div滚动，上拉超过一屏后显示按钮，否则隐藏，可自行在条件判断中修改
	if (mui.os.android) {
	    window.addEventListener('scroll', function(e) {
	        if (window.pageYOffset >= window.innerHeight && scrollToTopBox.classList.contains('hide'))
	            scrollToTopBox.classList.remove('hide');
	        else if (window.pageYOffset < window.innerHeight && !scrollToTopBox.classList.contains('hide'))
	            scrollToTopBox.classList.add('hide');
	    });
	} else {
	    document.getElementById('pullrefresh').addEventListener('scroll', function() {
	            if (mui('#pullrefresh').pullRefresh().y <= window.innerHeight * (-1) && scrollToTopBox.classList.contains('hide'))
	                scrollToTopBox.classList.remove('hide');
	            else if (mui('#pullrefresh').pullRefresh().y > window.innerHeight * (-1) && !scrollToTopBox.classList.contains('hide'))
	                scrollToTopBox.classList.add('hide');
	    });
	}
}


function noticeRedListener(first){
	if(first){
		console.log('启动消息通知监听器');
		var token = getToken();
		if(null != token && undefined != token){
			_async('i/noticeTime',{
				token:token
			},function(data){
				console.log('新消息数量=' + data);
				var num = parseInt(data);
				if(num > 0){
					$('#noticeRed').show();
				}else{
					$('#noticeRed').hide();
				}
				
				noticeRedListener(false);
			},function(msg){
				//忽略
			})
		}
	}else{
		setTimeout(function(){
			var token = getToken();
			if(null != token && undefined != token){
				_async('i/noticeTime',{
					token:token
				},function(data){
					console.log('新消息数量=' + data);
					var num = parseInt(data);
					if(num > 0){
						$('#noticeRed').show();
					}else{
						$('#noticeRed').hide();
					}
					
					noticeRedListener(false);
				},function(msg){
					//忽略
				})
			}
		},60000);
	}
	
	
}
