(function(){
    mui.plusReady(function(){
        mui.init();
        var index_classify_sub = plus.webview.getWebviewById('index_classify_sub');
        
        
        var page_total = $('.page_total b').html();//总条数
        var pages = (page_total / 100) + 1;//总页数
        
        //循环获取值
        var reg = /[^0-9.]/ig;
        var pageList = [];
        $('.goods-list .goods-item').each(function(){
        	var t = {};
        	t.title = $(this).find('.goods-tit a').text();//标题
        	t.auctionId = $(this).attr('data_goodsid');//淘宝商品ID
        	t.dtkId = $(this).find('.fl.quan_add_u.go_info').attr('data-gid');//大淘客商品ID
        	t.auctionUrl = 'http://item.taobao.com/item.htm?id=' + t.auctionId;//淘宝链接
        	t.pictUrl = $(this).find('.goods-img .lazy').prop('src'); //淘宝图片
        	t.priceAfterCoupons = $(this).find('.goods-price p b').text();//券后价
        	t.couponAmount = $(this).find('.goods-quan p b').text();//优惠券价格
        	t.zkPrice = accAdd(t.couponAmount, t.priceAfterCoupons);//原价
        	
        	t.tkRate = accDiv($(this).find('.goods-yj').attr('title').replace(reg, ''), t.zkPrice).toFixed(2);//佣金比例
        	
        	var marginNum = parseInt((this).find('.margin-num').html());
        	t.couponTotalCount = marginNum;//优惠券总数
        	
        	var goodsSale = $(this).find('.goods-sale .fl b').html();
        	t.biz30day = goodsSale;//月销量
        	
        	t.isTmall = $(this).find('i.tag-tmall').length > 0;//是否是天猫
        	pageList.push(t);//加入到数组
        });
        
        
        //回传数据
        var data = {
        	paginator : {
        		pages: pages
        	},
        	data : {
        		pageList: pageList
        	}
        }
        
        //回传数据
        mui.fire(index_classify_sub,'setGoods',{
        	data: data
        })
    });
})();